Retrieve delivery details by clientId and externalOrderId

GET <baseURL>/deliveries?clientId={clientId}&externalOrderId={externalOrderId}

This request retrieves delivery details using clientId and externalOrderId.

Call this request to retrieve deliveries details.
This request provides order information, delivery details, and the URL to access a delivery's Live Order Tracking.
See Live Order Tracking for additional information.

Two requests provide additional information on deliveries. Use of either request is preferential based on the parameter information available.

  • By the deliveryId as GET {baseURL}/deliveries/{deliveryId}
  • By the clientId and externalOrderId, as GET {baseURL}/deliveries?clientId={clientId}&externalOrderId={externalOrderId}

After the delivery is booked, this request provides a URL that accesses live order tracking for the delivery in process in this request response.
The Live Order Tracking URL routes the user to a Walmart GoLocal-hosted webpage, and this webpage provides live status about the delivery order and delivery driver location.
Tracking will end one month after delivery completion.
Walmart GoLocal recommends passing this live order tracking URL to end customers in all related communications, such as SMS messages, to provide transparency on the delivery.
See Live Order Tracking for additional information.

A batchId field is added to the Get Delivery Details request response.
This field is passed back in the API payload once Walmart GoLocal batches that delivery with other deliveries.
Implement your system design and operational processes keeping this in mind.

The following fields are available in the response for Get Delivery Details request batchingDetails: routeId, dropSequence, and count.
These fields will be returned in the request payload once Walmart GoLocal batches the associated delivery with other deliveries (after trip creation).
Implement your system design and operational processes keeping this in mind.

Property Type and Location Preference Validation

For property type and location preference values, the following combinations are allowed:

Enum of locationPreferenceHOUSEAPARTMENTBUSINESSOTHERnull
FRONT_DOOROptionalOptionalOptionalOptionalNot Allowed
BACK_DOOROptionalNot AllowedNot AllowedOptionalNot Allowed
SIDE_PORCHOptionalNot AllowedNot AllowedOptionalNot Allowed
BUILDING_RECEPTIONNot AllowedOptionalOptionalOptionalNot Allowed
MAILROOM_OR_PROPERTY_STAFFNot AllowedOptionalOptionalOptionalNot Allowed
GARAGE_DOOROptionalNot AllowedNot AllowedOptionalNot Allowed
NO_PREFERENCEOptionalOptionalOptionalOptionalNot Allowed

Example

This request retrieves the delivery details of clientId of 2 and externalOrderId of 9202883732:

GET {baseURL}/deliveries?clientId=2&externalOrderId=9202883732

Response (200 OK):

{ "deliveries": { "clientId": "49304", "secondaryClientId": "2", "clientName": "XYZ Store", "secondaryClientName": "XYZ Store", "externalOrderId": "10208877499-208925547882099", "deliveryMethod": "SCHEDULED_DELIVERY", "orderPickupReadyTime": "2024-09-11T11:00:00Z", "orderPickupDueTime": "2024-09-12T00:00:00Z", "minDeliverySlotTime": "2024-09-11T11:00:00Z", "maxDeliverySlotTime": "2024-09-11T13:00:00Z", "requestedMinDeliverySlotTime": "2024-09-11T11:00:00Z", "requestedMaxDeliverySlotTime": "2024-09-11T13:00:00Z", "estimatedDeliveryPickupTime": "2024-09-11T10:45:00Z", "estimatedDeliveryTime": "2024-09-11T12:07:17Z", "status": "DELIVERED", "actualDeliveryPickupTime": "2024-09-11T11:28:36.646Z", "actualDeliveryTime": "2024-09-11T11:31:53.408Z", "createTime": "2025-10-29T22:11:42.827083763Z", "trackingURL": "https://deliverytracking.walmart.com/0017fcb6-9f7a-49bb-b23c-46d390712345", "customer": { "firstName": "John", "lastName": "Doe", "email": "[email protected]", "phone": { "countryCode": "1", "number": "(650) 8375000" }, "maskedPhone": { "countryCode": "1", "number": "(234) 5678901" } }, "communicationPreferences": { "customerNotifications": { "allowAll": true } }, "addOnServices": { "returnable": false, "attendedDelivery": false, "proofOfDelivery": true, "captureSignatureProof": false, "capturePhotoProof": true, "chainOfCustody": true, "isDropOffOTPRequired": false }, "pickupDetails": { "pickupPointId": "100681", "externalPickupPointId": "6315", "name": "XYZ Store", "address": { "line1": "1 W California Ave.", "line2": "Apt 10", "city": "Sunnyvale", "state": "CA", "zipCode": "94086", "countryCode": "US" }, "latLong": { "lat": 39.123456, "lng": -120.123456 }, "phone": { "countryCode": "1", "number": "4085551234" } }, "instructions": [ { "instructionText": "Ring bell when arriving", "instructionType": "CUSTOMER" } ], "deliveryDetails": { "address": { "line1": "853 W California Ave", "line2": "Apt 10", "city": "Sunnyvale", "state": "CA", "zipCode": "94086", "countryCode": "US" }, "latLong": { "type": "CUSTOMER_PINDROP", "lat": 37.12345, "lng": -122.12345 }, "propertyDetails": { "gateCode": "C-1278", "propertyType": "BUSINESS", "locationPreference": "BUILDING_RECEPTION" } }, "scanDetails": [ { "scanDetail": [ { "scanId": "W1321433777-1" } ], "scanType": "CODE128" } ], "associateScans": [ { "scanDetail": { "scanId": "21", "scanType": "CODE128" } }, { "scanCapturedAt": "UPDATE_REQUESTED", "scanSource": "CLIENT", "scanType": "CODE128", "scanDetail": [ { "scanId": "L-685337", "timeStamp": "2024-09-11T10:58:46.417044167Z" }, { "scanCapturedAt": "ENROUTE_TO_DROPOFF", "scanSource": "DRIVER", "scanType": "CODE128", "scanDetail": [ { "scanId": "L-685337", "timeStamp": "2024-09-11T11:05:12.631Z", "latLong": { "lat": 38.123456, "lng": -92.123456 } } ] }, { "scanCapturedAt": "DELIVERED", "scanSource": "DRIVER", "scanType": "CODE128", "scanDetail": [ { "scanId": "L-685337", "timeStamp": "2024-09-11T11:28:55.087Z", "latLong": { "lat": 39.123456, "lng": -80.123456 } } ] } ] } ], "orderManifest": { "summary": { "totalItems": 1, "orderSize": "S", "dimensions": [ { "length": 15.69, "width": 8.69, "height": 4.63, "unitOfMeasure": "IN" } ], "totalOrderWeight": { "unitOfMeasure": "LB", "measurementValue": 1.2 }, "totalValueOfItems": { "currencyAmount": 36.45, "currencyUnit": "USD" }, "specialHandlingAttributes": { "hasHazmatItems": false, "hasAlcoholItems": false, "hasColdchainItems": false, "hasFragileItems": false, "hasPharmacyItems": false } }, "itemDetails": [ { "quantity": 1, "itemId": "990360697", "itemDescription": "Widget", "itemWeight": { "unitOfMeasure": "LB", "measurementValue": 2.2 }, "dimensions": [ { "length": 15.69, "width": 8.69, "height": 4.63, "unitOfMeasure": "IN" } ] } ] }, "dispatcherDetails": { "firstName": "John", "lastName": "Doe", "phone": { "countryCode": "1", "number": "4085551234" }, "maskedPhone": { "countryCode": "1", "number": "(650) 8375000" }, "vehicle": { "color": "Red", "make": "Ford", "model": "Taurus" }, "parking": { "bay": "4" } }, "externalRef": { "batchingDetails": { "batchId": "bca845c9-2072-4ab8-a80c-c0b48bfcf533", "routeId": "20240911-100681-0743", "dropSequence": "1", "count": "2" } }, "proofOfDelivery": { "proofType": "DELIVERY_PHOTO", "proofUrl": "http://images.delivery.walmart.com/d27f3bd1-68ae-4da6-9799-91674f370a42.jpeg", "mimeType": "image/jpeg" }, "deliveryPriority": "REGULAR", "isTestDelivery": false, "specialInstructions": {}, "deliveryId": "0017fcb6-9f7a-49bb-b23c-46d390712345" }
}

See Also

To retrieve delivery bydeliveryId, see GET /deliveries/{deliveryId}.

To search for a delivery, see POST /deliveries/search.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required


Specifies the client identifier associated with the client.

string
required


Specifies the external order ID.

The externalOrderId is a value specified by the client at the time the order is placed.
This allows the client to customize the order number, such as to be consistent with their own numbering system, or to be easier to read.
The externalOrderId is different than the deliveryId, which is a value assigned by Walmart GoLocal at the
time the order is placed.
Regardless, the externalOrderId and deliveryId refer to the same delivery order.

Headers
string
required

Specifies the literal value for Bearer \<authenticationToken\>.

The authenticationToken is an access token representing a user’s valid authorization and authentication permissions.
See the Authentication section for more information.

Example: Bearer eyJraWQiOiI1N…yLTQ4MjctOGUz

uuid
required
length between 36 and 36

Specifies the value for <consumer_id>.

This is the Client Consumer ID for the OAuth2 client credentials.
See the Walmart Client Center's Walmart administrator, client administrator, or the development management for this value.

Example: 685f74bf-b8ca-447d-8338-966di751443f

string
required

Specifies the value for <consumer_id>.

This is the public key value for the OAuth2 client credentials.
See the Walmart Client Center's Walmart administrator, client administrator, or the development management for this value.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json